Public Attributes | List of all members
_aes_init Struct Reference
Peripheral Driver » HAL Driver » AES » Structures » AES Configuration

AES Init Structure definition. More...

`#include <hal_aes.h>`

## Public Attributes
uint32_t | key_mode
uint32_t | key_type
uint32_t | key_size
uint32_t * | p_key
uint32_t | key_addr
uint32_t | key_mask
uint32_t | key_slot
uint32_t * | p_init_vector
uint32_t | dpa_mode
uint32_t * | p_seed
uint32_t | endian_mode

## Detailed Description

AES Init Structure definition.

Definition at line 99 of file hal_aes.h.

## Member Data Documentation

## ◆ dpa_mode

uint32_t _aes_init::dpa_mode

DPA Mode. This parameter can be a value of AES DPA Mode

Definition at line 112 of file hal_aes.h.

## ◆ endian_mode

uint32_t _aes_init::endian_mode

AES Endian Mode. This parameter can be a value of AES Endian Mode

Definition at line 115 of file hal_aes.h.

## ◆ key_addr

uint32_t _aes_init::key_addr

Encryption/Decryption Key address

Definition at line 108 of file hal_aes.h.

## ◆ key_mask

uint32_t _aes_init::key_mask

Keyport Mask

Definition at line 109 of file hal_aes.h.

## ◆ key_mode

uint32_t _aes_init::key_mode

AES key mode. This parameter can be a value of AES Key Mode

Definition at line 101 of file hal_aes.h.

## ◆ key_size

uint32_t _aes_init::key_size

128, 192 or 256-bits key length. This parameter can be a value of AES Key Size

Definition at line 105 of file hal_aes.h.

## ◆ key_slot

uint32_t _aes_init::key_slot

Keyram Key slot

Definition at line 110 of file hal_aes.h.

## ◆ key_type

uint32_t _aes_init::key_type

AES key type. This parameter can be a value of AES Key Type

Definition at line 103 of file hal_aes.h.

## ◆ p_init_vector

uint32_t* _aes_init::p_init_vector

Initialization Vector used for CBC modes

Definition at line 111 of file hal_aes.h.

## ◆ p_key

uint32_t* _aes_init::p_key

Encryption/Decryption Key

Definition at line 107 of file hal_aes.h.

## ◆ p_seed

uint32_t* _aes_init::p_seed

Random seeds

Definition at line 114 of file hal_aes.h.

The documentation for this struct was generated from the following file:

- hal_aes.h